// This file is released under the 3-clause BSD license. See COPYING-BSD.
//=================================

// Test flags
//<-- XCOS TEST -->
//<-- NO CHECK ERROR OUTPUT -->
//<-- NO CHECK REF -->

//Load xcos test diagram for plot_polar tests
[macros,path] = libraryinfo('xcos_aerolib');
result = importXcosDiagram(path + "../tests/unit_tests/plot_polar.zcos");
assert_checktrue(result);

// Simulate and save plot
scicos_simulate(scs_m);
h = gcf();
save(path + "../tests/unit_tests/test_data/result_polar_plot.bin", 'h');
close(h);

//Validate results
assert_checkfilesequal(path + "../tests/unit_tests/test_data/result_polar_plot.bin",...
    path + "../tests/unit_tests/test_data/expected_polar_plot.bin");

result = deletefile(path + "../tests/unit_tests/test_data/result_polar_plot.bin");
