// This file is released under the 3-clause BSD license. See COPYING-BSD.

function buildmacros()
  macros_path = get_absolute_file_path("buildmacros.sce");
  tbx_build_macros(TOOLBOX_NAME, macros_path);

  tbx_build_blocks(toolbox_dir, ["US76_ATM_MODEL" "PLOT_GROUNDTRACK" "PLOT_VISIBILITY" "PLOT_POLAR" "PLOT_INDICATORS" "KEPLERIAN_INPUT" "ANGLE_CONVERSION" "DISTANCE_CONVERSION" "VELOCITY_CONVERSION" "SECULAR_J2" "KEP_TO_CAR" "FRAME_CONVERSION" "FRAME_CONV_JACOBIAN" "CJD_TIME" "GROUND_STATION" "STATION_VISIBILITY" "STATION_POINTING" "TIMEFRAME_CONVERSION" "SUN_MODEL" "MOON_MODEL" "KEPLERIAN_PROPAGATOR" "LYDDANE_PROPAGATOR" "VECTOR_NORMALIZATION" "VECTOR_ANGLE" "DOT_PRODUCT" "CROSS_PRODUCT" "QUAT_INPUT" "QUAT_NORM" "VECTOR_NORM" "QUAT_CONJUGATE" "QUAT_INVERT" "QUAT_PRODUCT"  "QUAT_QUOTIENT" "VECTOR_ROTATE" "GEOMAG_MODEL" "ROTATION_JACOBIAN" "ECLIPSE_MODEL" "ATM_DRAG_MODEL" "SOL_DRAG_MODEL" "PLANET_MODEL"]);

endfunction

buildmacros();
clear buildmacros; // remove buildmacros on stack

